Package Details: snap-sync 0.4.2-2

Git Clone URL: https://aur.archlinux.org/snap-sync.git (read-only)
Package Base: snap-sync
Description: Use snapper snapshots to backup to external drive
Upstream URL: https://github.com/wesbarnett/snap-sync
Licenses: GPL
Submitter: jbarnett
Maintainer: jbarnett
Last Packager: jbarnett
Votes: 3
Popularity: 0.916177
First Submitted: 2016-10-01 16:12
Last Updated: 2017-11-07 18:05

Latest Comments

NicoHood commented on 2017-11-11 19:18

If you guys give this package 10 votes minimum, I can bring it to the official [community] repo :)

jbarnett commented on 2017-11-07 18:06

@johnpc Just added it. I'm going to remove the requirement of libnotify from the source code in my next release upstream and make it optional.

johnpc commented on 2017-11-07 15:58

requires libnotify?

# snap-sync
sudo: notify-send: command not found
Exited due to error on line 44.
exit status: 1
command: sudo -u $u DISPLAY=:0
DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/$(sudo -u $u id -u)/bus notify-send -a $name "$1" "$2" --icon="dialog-$3"
bash line: 51
function name: notify

jbarnett commented on 2017-08-26 10:57

@hcnelson99 fixed

@hakkattakk my GPG key has not changed

hcnelson99 commented on 2017-08-26 03:10

I get the following error when I run "sudo snap-sync" on the new version:

==> ERROR: /etc/sysconfig/snapper does not exist.

Downgrading this PKGBUILD to the previous commit fixes the error. Is this an upstream problem?

hakkattakk commented on 2017-07-03 15:21

I get this error:
==> Verifying source file signatures with gpg...
snap-sync-0.4.tar.gz ... FAILED (unknown public key E4B5E45AA3B8C5C3)
==> ERROR: One or more PGP signatures could not be verified!
==> ERROR: Makepkg was unable to build snap-sync.

Have you changed your gpg-key?

NicoHood commented on 2017-01-31 15:42

You forgot to update the sourceinfo

jbarnett commented on 2016-12-04 18:16

@NicoHood, thanks, updated. It'd be great to have some of these suggestions (signing packages, using sha512, etc) somewhere on the wiki.

NicoHood commented on 2016-12-04 00:14

You forgot to update the sha256sum. Please also consider to move to sha512sums, even though sha256 is almost perfect. You can automatically update hashed with updpkgsums

daftaupe commented on 2016-11-24 16:46

Configuration file /usr/lib/systemd/system/snap-sync@.timer is marked executable. Please remove executable permission bits. Proceeding anyway.
Configuration file /usr/lib/systemd/system/snap-sync@.service is marked executable. Please remove executable permission bits. Proceeding anyway.

I get these 2 warnings from systemd in my journal, I guess that could be fixed. Thanks.